using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
    public class HostUpdateApi
    {
        /// <summary>
        /// 房型ID
        /// </summary>
        public virtual int RoomTypeid
        {
            get;
            set;
        }
        /// <summary>
        /// 房型
        /// </summary>
        public virtual string RoomTypeName
        {
            get;
            set;
        }
        /// <summary>
        /// HotelID
        /// </summary>
        public virtual int hotelId
        {
            get;
            set;
        }
        /// <summary>
        /// 酒店名称
        /// </summary>
        public virtual string hotelName
        {
            get;
            set;
        }
        /// <summary>
        /// 返回状态 true为成功, false为失败
        /// </summary>
        public virtual bool Status
        {
            get;
            set;
        }
        /// <summary>
        /// 机型
        /// </summary>
        public virtual string ModelName
        {
            get;
            set;
        }
        /// <summary>
        /// 文件数量
        /// </summary>
        public virtual int FileCount
        {
            get;
            set;
        }
        /// <summary>
        /// 考虑到可能有多个文件
        /// </summary>
        public virtual List<HostUpdateApiDataList> datalist { get; set; }

        public virtual string ErrMsg { get; set; }
    }

    public class HostUpdateApiDataList
    {
        /// <summary>
        /// 文件名
        /// </summary>
        public virtual string Filename
        {
            get;
            set;
        }
        /// <summary>
        /// Luncher版本
        /// </summary>
        public virtual string LuncherVer
        {
            get;
            set;
        }
        /// <summary>
        /// 当前文件位置
        /// </summary>
        public virtual string Filenumber
        {
            get;
            set;
        }
        /// <summary>
        /// 起始地址
        /// </summary>
        public virtual string HexStart
        {
            get;
            set;
        }
        /// <summary>
        /// 大写32位MD5
        /// </summary>
        public virtual string md5
        {
            get;
            set;
        }
        /// <summary>
        /// 主要数据 base64
        /// </summary>
        public virtual string data
        {
            get;
            set;
        }
    }
}
